Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1088440 - Cannot sysprep Windows VM with different time zone than the one set in VM dialog / System side-tab
Summary: Cannot sysprep Windows VM with different time zone than the one set in VM dia...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 3.5.0
Assignee: Shahar Havivi
QA Contact: Pavel Novotny
URL:
Whiteboard: virt
Depends On:
Blocks: 1099504 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-04-16 15:55 UTC by Pavel Novotny
Modified: 2015-02-17 08:26 UTC (History)
10 users (show)

Fixed In Version: org.ovirt.engine-root-3.4.0-17
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1099504 (view as bug list)
Environment:
Last Closed: 2015-02-17 08:26:39 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 27260 master MERGED core: sysprep timezone is set as system timezone Never
oVirt gerrit 27461 ovirt-engine-3.4 MERGED core: sysprep timezone is set as system timezone Never

Description Pavel Novotny 2014-04-16 15:55:18 UTC
Description of problem:
When running a sealed Windows VM with sysprep floppy attached, the sysprep.inf file always contains the general time zone defined on the VM / System side-tab, even if different TZ is set on VM / Initial Run side-tab or overriden in Run Once dialog.

Version-Release number of selected component (if applicable):
rhevm-3.4.0-0.13.beta3.el6ev.noarch (av6)

How reproducible:
100%

Steps to Reproduce:
1. Have a clean "sysprep-ed" Windows VM (I used Win 7 x64 and Win 2008 R2 x64).
2. In GUI edit the VM:
   On the System side-tab set Time Zone to "Alaskan Standard Time".
   On Initial Run side-tab check "Use Cloud-Init/Sysprep" & "Configure Time Zone" and set it to "Hawaiian Standard Time".
   Save changes.
3. Open Run Once dialog and under Initial Run section override the Time Zone to "Samoa Standard Time". Submit dialog (run once the VM).
4. Log into the VM once is up and open the sysprep.inf file on floppy drive A:. Search for value in <TimeZone> tag.


Actual results:
The TZ is always set to the general one (defined on VM / System side-tab):
<TimeZone>Alaskan Standard Time</TimeZone>

Expected results:
The TZ from Run Once dialog should be used:
<TimeZone>Samoa Standard Time</TimeZone>

Additional info:

The priorities which TZ should be put in the sysprep file is (from highest):
- TZ from Run Once dialog (if doing run once)
- TZ defined on VM / Initial Run side-tab (if "Use Cloud-Init/Sysprep" is enabled)
- TZ set on VM / System side-tab
Issue described here completely ignores the first two places.

Comment 2 Pavel Novotny 2014-05-23 09:24:10 UTC
Verified in rhevm-3.4.0-0.18.el6ev.noarch (av9).

Verification steps were the same as reproducer in comment 0:
1. Have a clean "sysprep-ed" Windows VM (I used Win 7 x64 and Win 2008 R2 x64).
2. In GUI edit the VM:
   On the System side-tab set Time Zone to "Alaskan Standard Time".
   On Initial Run side-tab check "Use Cloud-Init/Sysprep" & "Configure Time Zone" and set it to "Hawaiian Standard Time".
   Save changes.
3. Open Run Once dialog and under Initial Run section override the Time Zone to "Samoa Standard Time". Submit dialog (run once the VM).
4. Log into the VM once is up and open the sysprep.inf file on floppy drive A:. Search for value in <TimeZone> tag.

Results:
Windows guest has Samoa Standard Time zone, as is set in A:\sysprep.inf file.

Second approach was to leave the pre-defined time zone in the Run Once Dialog (Hawaiian Standard Time). This also succeeded.

Comment 3 Omer Frenkel 2015-02-17 08:26:39 UTC
RHEV-M 3.5.0 has been released


Note You need to log in before you can comment on or make changes to this bug.